Uploaded image for project: 'Debezium'
  1. Debezium
  2. DBZ-2054

Embedded engine not compatible with Kafka 1.x

    Details

      Description

      Taken from running Debezium against Kafka 1.1.1 on Jenkins:

      [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.8.1:compile (default-compile) on project debezium-embedded: Compilation failure
      
      [ERROR] /home/cloud-user/workspace/debezium-kafka-1.x-test/debezium-embedded/src/main/java/io/debezium/embedded/EmbeddedEngine.java:[747,29] method does not override or implement a method from a supertype
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                ccranfor Chris Cranford
                Reporter:
                ccranfor Chris Cranford
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: